<?xml version="1.0" encoding="UTF-8"?>
<zk>

    <!--
                Spring binds web scoped beans to the thread so we instructed ZK not
                to fork threads. That will prevent you from using certain suspend/resume
                features. The line within the web.xml that requires that we disable
                the event thread is
                <listener-class>org.springframework.web.context.request.RequestContextListener</listener-class>
                -->
    <!-- Spring-Security -->

    <system-config>
        <disable-event-thread>false</disable-event-thread>
        <max-upload-size>50000</max-upload-size> <!-- tamanho em kbytes -->
    </system-config>

    <listener>
        <description>ThreadLocal Synchronization Listener</description>
        <listener-class>org.zkoss.zkplus.util.ThreadLocalListener</listener-class>
    </listener>
   
    <preference>
        <name>ThreadLocal</name>
        <value>
            org.springframework.security.core.context.ThreadLocalSecurityContextHolderStrategy=contextHolder;
            org.springframework.web.context.request.RequestContextHolder=requestAttributesHolder,inheritableRequestAttributesHolder
        </value>
    </preference>
    <!-- END Spring-Security -->
    <session-config>
        <device-type>ajax</device-type>
        <timeout-uri></timeout-uri>
        <session-timeout>1800</session-timeout>
        <timeout-uri>/timeout.zul</timeout-uri>
    </session-config>
    <!--error-page>
        <exception-type>java.lang.Throwable</exception-type>
        <location>/error.zul</location>
    </error-page-->
    <listener>
        <description>Spring TransactionSynchronizationManager handler</description>
        <listener-class>org.zkoss.zkplus.spring.SpringTransactionSynchronizationListener</listener-class>
    </listener>
    <preference>
        <name>org.zkoss.zul.Window.defaultActionOnShow</name>
        <value></value>
    </preference>
    <!--language-config>
        <addon-uri>/WEB-INF/lang-addon.xml</addon-uri>
    </language-config-->
      <listener>
        <description>My App Init</description>
        <listener-class>com.rjconsultores.ventaboletos.web.utilerias.MyAppInit</listener-class>
    </listener>
      <listener>
         <listener-class>com.rjconsultores.ventaboletos.web.utilerias.RJExecutorHolder</listener-class>
    </listener>
    <desktop-config>
        <!--disable-theme-uri>~./zul/css/norm*.css.dsp*</disable-theme-uri-->
        <!--theme-uri>~./silvergray/img.css.dsp</theme-uri-->
        <!--theme-provider-class>org.zkoss.breeze.BreezeThemeProvider</theme-provider-class-->
        <!--theme-provider-class>com.rjconsultores.pic.component.MyThemeProvider</theme-provider-class-->
        <file-check-period>5</file-check-period><!-- unit : seconds -->
        
    </desktop-config>

</zk>
